Conbee ii failed to setup error after shutdown/reboot of home assistant

Hello!
I have home assistant running as a Kubernetes app on TrueNAS Scale on my Terramaster NAS.
Im using ZHA for my zigbee devices not deconz.

I turned the NAS off so i could turn the power off while i changed a few light switches around the house and when i switched everything back on again my Conbee ii is no longer working.

Im getting a failed to set up error message.
Ive tried swapping usb ports on the NAS to see if that helps

In Truenas i have the following ‘mount usb devices’ mapping
/dev/serial/by-id/usb-dresden_elektronik_ingenieurtechnik_GmbH_ConBee_II_DE2471905-if00
To the container path
/dev/ttyACM0
enable the storage option is selected

running the command ls -l /dev/serial/by-id in the trueNAS shell still lists the conbee ii as an available device

The Conbee is on a usb extension lead a few feet away from the NAS and was working perfectly fine before the shutdown / reboot.

Any TrueNAS users out there that have experienced a similar issue???

Logger: homeassistant.components.zha.core.gateway
Source: components/zha/core/gateway.py:172
Integration: Zigbee Home Automation (documentation, issues)
First occurred: 11:39:10 (3 occurrences)
Last logged: 11:39:16

Couldn’t start deCONZ = dresden elektronik deCONZ protocol: ConBee I/II, RaspBee I/II coordinator (attempt 1 of 3)
Couldn’t start deCONZ = dresden elektronik deCONZ protocol: ConBee I/II, RaspBee I/II coordinator (attempt 2 of 3)
Couldn’t start deCONZ = dresden elektronik deCONZ protocol: ConBee I/II, RaspBee I/II coordinator (attempt 3 of 3)
Traceback (most recent call last):
File “/usr/local/lib/python3.10/site-packages/serial/serialposix.py”, line 322, in open
self.fd = os.open(self.portstr, os.O_RDWR | os.O_NOCTTY | os.O_NONBLOCK)
IsADirectoryError: [Errno 21] Is a directory: ‘/dev/ttyACM0’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py”, line 172, in async_initialize
self.application_controller = await app_controller_cls.new(
File “/usr/local/lib/python3.10/site-packages/zigpy/application.py”, line 144, in new
await app.startup(auto_form=auto_form)
File “/usr/local/lib/python3.10/site-packages/zigpy/application.py”, line 124, in startup
await self.connect()
File “/usr/local/lib/python3.10/site-packages/zigpy_deconz/zigbee/application.py”, line 81, in connect
await api.connect()
File “/usr/local/lib/python3.10/site-packages/zigpy_deconz/api.py”, line 275, in connect
self._uart = await zigpy_deconz.uart.connect(self._config, self)
File “/usr/local/lib/python3.10/site-packages/zigpy_deconz/uart.py”, line 134, in connect
_, protocol = await zigpy.serial.create_serial_connection(
File “/usr/local/lib/python3.10/site-packages/zigpy/serial.py”, line 37, in create_serial_connection
transport, protocol = await pyserial_asyncio.create_serial_connection(
File “/usr/local/lib/python3.10/site-packages/serial_asyncio/init.py”, line 448, in create_serial_connection
serial_instance = serial.serial_for_url(*args, **kwargs)
File “/usr/local/lib/python3.10/site-packages/serial/init.py”, line 90, in serial_for_url
instance.open()
File “/usr/local/lib/python3.10/site-packages/serial/serialposix.py”, line 325, in open
raise SerialException(msg.errno, “could not open port {}: {}”.format(self._port, msg))
serial.serialutil.SerialException: [Errno 21] could not open port /dev/ttyACM0: [Errno 21] Is a directory: ‘/dev/ttyACM0’

So changing usb port and rebooting TrueNAS not the Home Assistant container has fixed the issue for now and all my sensors are working again.